---
type: api
title: Get space settings
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-get-fleet-space-settings
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-get-fleet-space-settings
products:
  - Kibana
---

# Get space settings

Availability: 9.1+

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/fleet/space_settings`
- `GET` `/s/{space_id}/api/fleet/space_settings`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get the Fleet settings for the current Kibana space.

## Response

Successful response

`application/json`

- `item` (object)
  - `allowed_namespace_prefixes` ([] string · max: 100)
  - `managed_by` (string)
## Code Examples

#### Console

```console
GET /api/fleet/space_settings
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/fleet/space_settings"
```

## Response Examples

#### Get space settings

The Fleet settings for the current Kibana space

```json
{
  "item": {
    "allowed_namespace_prefixes": [
      "team-a",
      "team-b"
    ]
  }
}
```

